ldap_errno
ldap_escape
LDAP Functions
PHP Manual

# ldap_error

(PHP 4, PHP 5)

ldap_error — Return the LDAP error message of the last LDAP command

### Description

string ldap_error ( resource `$link_identifier` )

Returns the string error message explaining the error generated by the last LDAP command for the given `link_identifier`. While LDAP errno numbers are standardized, different libraries return different or even localized textual error messages. Never check for a specific error message text, but always use an error number to check.

Unless you lower your warning level in your php.ini sufficiently or prefix your LDAP commands with @ (at) characters to suppress warning output, the errors generated will also show up in your HTML output.

### Parameters

`link_identifier`

  An LDAP link identifier, returned by ldap_connect().

### Return Values

Returns string error message.

### See Also

- ldap_err2str() - Convert LDAP error number into string error message
- ldap_errno() - Return the LDAP error number of the last LDAP command

ldap_errno
ldap_escape
LDAP Functions
PHP Manual